using System;
using System.ComponentModel.DataAnnotations;

namespace Qusion.WebApp.Areas.Qusion.Models.Users
{
    public class UserEditInput
    {
        public Guid ID { get; set; }

        public string UserName { get; set; }

        [Required(ErrorMessage = "users.EmailRequire")]
        [DataType(DataType.EmailAddress)]
        [EmailAddress(ErrorMessage = "users.EmailRequire")]
        public string Email { get; set; }

        [Required(ErrorMessage = "users.FirstNameRequire")]
        public string FirstName { get; set; }

        [Required(ErrorMessage = "users.LastNameRequire")]
        public string LastName { get; set; }

        public string FullName { get; set; }

        [Required(ErrorMessage = "users.RolesRequire")]
        public string[] Roles { get; set; }

        public string[] Labels { get; set; }
    }
}